This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 509295 - KDE:screen brightness adjust using special keys -- doesn't work by default; no visual status
KDE:screen brightness adjust using special keys -- doesn't work by default; n...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kdebase-workspace (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: Reopened
: 533517 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-01 23:43 EDT by Vinod Kutty
Modified: 2009-11-25 10:14 EST (History)
10 users (show)

See Also:
Fixed In Version: 4.3.3-7.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-25 09:56:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vinod Kutty 2009-07-01 23:43:12 EDT
Description of problem:

On a Dell E6500, when I log in to a KDE session and try to adjust screen brightness with the appropriate Fn key sequences (Fn-ArrowUP and Fn-ArrowDown), nothing happens. Then I realized I needed to first disable the "Auto" brightness adjustment by using the "Fn-LeftArrow" sequence (to toggle Auto brightness).

I did not have to do when I change to a GNOME session on the same machine (i.e. it just works, though there are other issues with remembering last brightness level).

After doing this, I can change brightness, but there is no on-screen indicator showing values as there is in GNOME or for volume controls.

Version-Release number of selected component (if applicable):
- kdebase-workspace-4.2.4-3.fc11.x86_64 (not sure if this is relevant)
- kernel 2.6.29.5-191.fc11.x86_64
- 

How reproducible:
- Every time

Steps to Reproduce:
1.Select KDE when logging in via GDM
2.Adjust brightness up/down
3.If that doesn't work, toggle auto-brightness with appropriate Fn key sequence (Fn-LeftArrow on my E6500 keyboard)

  
Actual results:

1. May not work
2. If it does, you will see that brightness changes, but there is no bar/meter showing value as there is in GNOME

Expected results:
- should immediately change brightness and show value

Additional info:

xev shows XF86MonBrightnessDown and XF86MonBrightnessUp events are being generated. If the Auto-brightness keyboard toggle is set to on, these events are still generated, but do nothing. If it's off, these events do change brightness, but don't result in any visual meter/bar.
Comment 1 Kevin Kofler 2009-07-02 05:10:37 EDT
Is this really a bug? I suppose KDE interprets "automatic" as really automatic, i.e. you aren't supposed to touch it.
Comment 2 Steven M. Parrish 2009-07-22 10:04:28 EDT
Thank you for taking the time to report this issue.

This is an issue that needs to be addressed by the upstream developers. Please report this at http://bugs.kde.org and then add the upstream report information to this report.  We will monitor the upstream report for a resolution to this issue, and will review any bug fixes that become available for consideration in future updates.

Setting status to NEEDINFO, and awaiting upstream bug report URL for tracking.

Thanks in advance.

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Steven M. Parrish 2009-09-12 19:55:43 EDT
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Rex Dieter 2009-09-12 19:59:42 EDT
Fwiw, support for multimedia keys were addressed via bug #475247 ... the outstanding upstream issue is being able to bind these keys to do something useful (in powerdevil or whatever).

*** This bug has been marked as a duplicate of bug 475247 ***
Comment 5 Kevin Kofler 2009-10-25 11:20:29 EDT
Actually, this is not the same as 475247, but it's the same as 509300.

*** This bug has been marked as a duplicate of bug 509300 ***
Comment 6 Kevin Kofler 2009-10-25 11:21:18 EDT
Uh, nevermind, it's not that either.
Comment 7 Kevin Kofler 2009-10-25 11:24:56 EDT
Bug #475247 is already closed as fixed, and the multimedia keys are now assigned to KMix by default, but this part is not because PowerDevil doesn't do anything with the brightness keys (nor does anything else). So it needs to be fixed separately. But somebody needs to file it upstream!
Comment 8 Rex Dieter 2009-10-25 16:57:59 EDT
I believe I saw a submission to reviewboard for this, lemme see...
http://reviewboard.kde.org/r/1942/
Comment 9 Kevin Kofler 2009-11-06 19:38:20 EST
*** Bug 533517 has been marked as a duplicate of this bug. ***
Comment 10 Rex Dieter 2009-11-16 10:57:49 EST
kdebase-workspace-4.3.3-7 (in updates-testing) includes the kubuntu-based patches to support this (albeit hackishly).

kde-4.4.x will hopefully support this properly.
Comment 11 Fedora Update System 2009-11-24 02:45:30 EST
kdebase-workspace-4.3.3-7.fc11, kdelibs-4.3.3-4.fc11, kdebase-runtime-4.3.3-5.fc11, kdeaccessibility-4.3.3-1.fc11, kdeadmin-4.3.3-1.fc11, kdeartwork-4.3.3-1.fc11, kdebase-4.3.3-3.fc11, kdeedu-4.3.3-1.fc11, kdegames-4.3.3-2.fc11, kdegraphics-4.3.3-1.fc11, kdelibs-experimental-4.3.3-1.fc11, kdemultimedia-4.3.3-1.fc11, kdenetwork-4.3.3-4.fc11, kdepim-4.3.3-1.fc11, kdepim-runtime-4.3.3-1.fc11, kdepimlibs-4.3.3-1.fc11, kdeplasma-addons-4.3.3-1.fc11, kdesdk-4.3.3-1.fc11, kdetoys-4.3.3-1.fc11, kdeutils-4.3.3-1.fc11, konq-plugins-4.3.3-2.fc11, oxygen-icon-theme-4.3.3-1.fc11, qscintilla-2.4-7.fc11, webkitkde-0.0.2-0.1.20091109svn.fc11, kde-l10n-4.3.3-1.fc11, PyKDE-3.16.6-1.fc11, sip-4.9.2-1.fc11, PyQt4-4.6.2-1.fc11, qzion-0.4.0-5.fc11, qedje-0.4.0-4.fc11, PyQwt-5.2.0-2.fc11, PyQt-3.18.1-5.fc11, kdebindings-4.3.3-4.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kdebase-workspace kdelibs kdebase-runtime kdeaccessibility kdeadmin kdeartwork kdebase kdeedu kdegames kdegraphics kdelibs-experimental kdemultimedia kdenetwork kdepim kdepim-runtime kdepimlibs kdeplasma-addons kdesdk kdetoys kdeutils konq-plugins oxygen-icon-theme qscintilla webkitkde kde-l10n PyKDE sip PyQt4 qzion qedje PyQwt PyQt kdebindings'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-11627
Comment 12 Fedora Update System 2009-11-24 02:52:37 EST
kdebase-workspace-4.3.3-7.fc10, kdelibs-4.3.3-4.fc10, kdebase-runtime-4.3.3-5.fc10, kdeaccessibility-4.3.3-1.fc10, kdeadmin-4.3.3-1.fc10, kdeartwork-4.3.3-1.fc10, kdebase-4.3.3-3.fc10, kdeedu-4.3.3-1.fc10, kdegames-4.3.3-2.fc10, kdegraphics-4.3.3-1.fc10, kdelibs-experimental-4.3.3-1.fc10, kdemultimedia-4.3.3-1.fc10, kdenetwork-4.3.3-4.fc10, kdepim-4.3.3-1.fc10, kdepim-runtime-4.3.3-1.fc10, kdepimlibs-4.3.3-1.fc10, kdeplasma-addons-4.3.3-1.fc10, kdesdk-4.3.3-1.fc10, kdetoys-4.3.3-1.fc10, kdeutils-4.3.3-1.fc10, konq-plugins-4.3.3-2.fc10, oxygen-icon-theme-4.3.3-1.fc10, qscintilla-2.4-7.fc10, webkitkde-0.0.2-0.1.20091109svn.fc10, kde-l10n-4.3.3-1.fc10, PyKDE-3.16.6-1.fc10, sip-4.9.2-1.fc10, PyQt4-4.6.2-1.fc10, qzion-0.4.0-5.fc10, qedje-0.4.0-4.fc10, PyQwt-5.2.0-2.fc10, PyQt-3.18.1-5.fc10, kdebindings-4.3.3-4.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kdebase-workspace kdelibs kdebase-runtime kdeaccessibility kdeadmin kdeartwork kdebase kdeedu kdegames kdegraphics kdelibs-experimental kdemultimedia kdenetwork kdepim kdepim-runtime kdepimlibs kdeplasma-addons kdesdk kdetoys kdeutils konq-plugins oxygen-icon-theme qscintilla webkitkde kde-l10n PyKDE sip PyQt4 qzion qedje PyQwt PyQt kdebindings'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-11500
Comment 13 Fedora Update System 2009-11-24 02:59:41 EST
kdebase-workspace-4.3.3-7.fc12, kdelibs-4.3.3-4.fc12, kdebase-runtime-4.3.3-5.fc12, kde-l10n-4.3.3-1.fc12, kdeaccessibility-4.3.3-2.fc12, kdeadmin-4.3.3-1.fc12, kdeartwork-4.3.3-1.fc12, kdebase-4.3.3-3.fc12, kdeedu-4.3.3-2.fc12, kdegames-4.3.3-2.fc12, kdegraphics-4.3.3-1.fc12, kdelibs-experimental-4.3.3-1.fc12, kdemultimedia-4.3.3-2.fc12, kdenetwork-4.3.3-5.fc12, kdepim-4.3.3-1.fc12, kdepim-runtime-4.3.3-1.fc12, kdepimlibs-4.3.3-1.fc12, kdeplasma-addons-4.3.3-1.fc12, kdesdk-4.3.3-1.fc12, kdetoys-4.3.3-1.fc12, kdeutils-4.3.3-1.fc12, konq-plugins-4.3.3-2.fc12, oxygen-icon-theme-4.3.3-1.fc12, qscintilla-2.4-7.fc12, webkitkde-0.0.2-0.1.20091109svn.fc12, qzion-0.4.0-5.fc12, qedje-0.4.0-4.fc12, PyQwt-5.2.0-3.fc12, PyQt-3.18.1-5.fc12, kdebindings-4.3.3-4.fc12, PyKDE-3.16.6-1.fc12, sip-4.9.2-1.fc12, PyQt4-4.6.2-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kdebase-workspace kdelibs kdebase-runtime kde-l10n kdeaccessibility kdeadmin kdeartwork kdebase kdeedu kdegames kdegraphics kdelibs-experimental kdemultimedia kdenetwork kdepim kdepim-runtime kdepimlibs kdeplasma-addons kdesdk kdetoys kdeutils konq-plugins oxygen-icon-theme qscintilla webkitkde qzion qedje PyQwt PyQt kdebindings PyKDE sip PyQt4'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-11503
Comment 14 Fedora Update System 2009-11-25 09:55:50 EST
kdebase-workspace-4.3.3-7.fc10, kdelibs-4.3.3-4.fc10, kdebase-runtime-4.3.3-5.fc10, kdeaccessibility-4.3.3-1.fc10, kdeadmin-4.3.3-1.fc10, kdeartwork-4.3.3-1.fc10, kdebase-4.3.3-3.fc10, kdeedu-4.3.3-1.fc10, kdegames-4.3.3-2.fc10, kdegraphics-4.3.3-1.fc10, kdelibs-experimental-4.3.3-1.fc10, kdemultimedia-4.3.3-1.fc10, kdenetwork-4.3.3-4.fc10, kdepim-4.3.3-1.fc10, kdepim-runtime-4.3.3-1.fc10, kdepimlibs-4.3.3-1.fc10, kdeplasma-addons-4.3.3-1.fc10, kdesdk-4.3.3-1.fc10, kdetoys-4.3.3-1.fc10, kdeutils-4.3.3-1.fc10, konq-plugins-4.3.3-2.fc10, oxygen-icon-theme-4.3.3-1.fc10, qscintilla-2.4-7.fc10, webkitkde-0.0.2-0.1.20091109svn.fc10, kde-l10n-4.3.3-1.fc10, sip-4.9.3-1.fc10, PyKDE-3.16.6-1.fc10, PyQt4-4.6.2-1.fc10, qzion-0.4.0-5.fc10, qedje-0.4.0-4.fc10, PyQwt-5.2.0-2.fc10, PyQt-3.18.1-5.fc10, kdebindings-4.3.3-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2009-11-25 10:06:27 EST
kdebase-workspace-4.3.3-7.fc11, kdelibs-4.3.3-4.fc11, kdebase-runtime-4.3.3-5.fc11, kdeaccessibility-4.3.3-1.fc11, kdeadmin-4.3.3-1.fc11, kdeartwork-4.3.3-1.fc11, kdebase-4.3.3-3.fc11, kdeedu-4.3.3-1.fc11, kdegames-4.3.3-2.fc11, kdegraphics-4.3.3-1.fc11, kdelibs-experimental-4.3.3-1.fc11, kdemultimedia-4.3.3-1.fc11, kdenetwork-4.3.3-4.fc11, kdepim-4.3.3-1.fc11, kdepim-runtime-4.3.3-1.fc11, kdepimlibs-4.3.3-1.fc11, kdeplasma-addons-4.3.3-1.fc11, kdesdk-4.3.3-1.fc11, kdetoys-4.3.3-1.fc11, kdeutils-4.3.3-1.fc11, konq-plugins-4.3.3-2.fc11, oxygen-icon-theme-4.3.3-1.fc11, qscintilla-2.4-7.fc11, webkitkde-0.0.2-0.1.20091109svn.fc11, sip-4.9.3-1.fc11, kde-l10n-4.3.3-1.fc11, PyKDE-3.16.6-1.fc11, PyQt4-4.6.2-1.fc11, qzion-0.4.0-5.fc11, qedje-0.4.0-4.fc11, PyQwt-5.2.0-2.fc11, PyQt-3.18.1-5.fc11, kdebindings-4.3.3-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2009-11-25 10:14:31 EST
kdebase-workspace-4.3.3-7.fc12, kdelibs-4.3.3-4.fc12, kdebase-runtime-4.3.3-5.fc12, kde-l10n-4.3.3-1.fc12, kdeaccessibility-4.3.3-2.fc12, kdeadmin-4.3.3-1.fc12, kdeartwork-4.3.3-1.fc12, kdebase-4.3.3-3.fc12, kdeedu-4.3.3-2.fc12, kdegames-4.3.3-2.fc12, kdegraphics-4.3.3-1.fc12, kdelibs-experimental-4.3.3-1.fc12, kdemultimedia-4.3.3-2.fc12, kdenetwork-4.3.3-5.fc12, kdepim-4.3.3-1.fc12, kdepim-runtime-4.3.3-1.fc12, kdepimlibs-4.3.3-1.fc12, kdeplasma-addons-4.3.3-1.fc12, kdesdk-4.3.3-1.fc12, kdetoys-4.3.3-1.fc12, kdeutils-4.3.3-1.fc12, konq-plugins-4.3.3-2.fc12, oxygen-icon-theme-4.3.3-1.fc12, qscintilla-2.4-7.fc12, webkitkde-0.0.2-0.1.20091109svn.fc12, sip-4.9.3-1.fc12, qzion-0.4.0-5.fc12, qedje-0.4.0-4.fc12, PyQwt-5.2.0-3.fc12, PyQt-3.18.1-5.fc12, kdebindings-4.3.3-4.fc12, PyKDE-3.16.6-1.fc12, PyQt4-4.6.2-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.